
# rework-struct

Rework preprocessor for struct.

## Installation

```
npm install -g rework-struct
```

## Features

  * Automatic prefixing with autoprefixer
  * W3C-style CSS variables
  * Cutting edge browser support ( > ie10 and up )
  * Aggregate all media queries and move it to the end of the file
  * Calc() fn do to simple calculation with variable support

## Usage

Use it in your css build process

```javascript
css = rework(css)
  .use(struct())
```

If you just want to use it for simple projects which don't require additional user side build steps you can use [component-struct](https://github.com/structs/component-struct)

## Tests

```
make test
```

## Licence

MIT
